{% extends 'Templates/layout.html.twig' %}
{% form_theme formView 'Templates/Forms/layout_form.html.twig' %}

{% block body %}
    <section class="mtb-50 mlr-50">
        <h1 class="text-center text-blue text-bold">{{ project.code }}</h1>
        <h1 class="text-center text-orange">
            {% if edit is defined and feature is defined %}
                Edition d'une Feature ({{ feature.title }})
            {% else %}
                Ajout d'une Feature
            {% endif %}
        </h1>

        <hr class="hr-add w-100">

        {% if errors is not empty %}
            {% for error in errors %}
                <span class="alert alert-danger d-block d-center w-60">{{ error }}</span>
            {% endfor %}
        {% endif %}


        <article class="form-custom">

            {{ form_start(formView) }}

            <div>
                {{ form_label(formView.title) }}
                {{ form_widget(formView.title) }}
            </div>

            <div>
                {{ form_label(formView.price) }}
                {{ form_widget(formView.price) }}
            </div>

            {% if edit is defined and feature is defined %}
                <div>
                    <label class="mtb-5 text-blue text-italic text-bold">Durée : </label>
                    <span class="form-control">{{ dateService.display(feature.duration) }}</span>
                </div>
            {% endif %}

            {{ form_end(formView) }}
            
        </article>
    </section>

    {% if edit is defined and feature is defined %}
        <section class="mtb-50 mlr-50">
            <h1 class="text-center text-blue text-bold">Les Tâches</h1>

            <div class="mlr-15 text-center">
                <hr class="hr-add">
                <a href="{{ path('bo_task_add', {'id': feature.id}) }}" class="btn btn-success btn-10"><i class="material-icons">add</i></a>
            </div>

            {% for element in feature.tasks %}
                <article class="list-element">
                    <a href="{{ path('bo_task_edit', {'id': element.id}) }}" class="btn btn-primary btn-10"><i class="material-icons">edit</i></a>
                    <a onclick="
                            if (confirm('Voulez-vous vraiment supprimer cette feature ?')) {
                            window.location.href='{{ url('bo_task_delete', {'id': element.id}) }}'
                            }"
                       class="btn btn-danger btn-10">
                        <i class="material-icons">delete</i>
                    </a>
                    <span>{{ element.title }}</span>
                    <div class="d-inline m-15">
                        <span class="alert alert-success" style="background-color: {{ element.tag.color }} !important;">{{ element.tag.type }}</span>
                    </div>
                </article>
            {% endfor %}
        </section>
    {% endif %}
{% endblock %}